package com.jasamedika.medifirst2000.service.impl;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.dao.custom.DaftarPengajuanAnggaranDaoCustom;
import com.jasamedika.medifirst2000.service.DaftarPengajuanAnggaranService;

@Service("DaftarPengajuanAnggaranService")
public class DaftarPengajuanAnggaranServiceImpl extends BaseAngaranServiceImpl
		implements DaftarPengajuanAnggaranService {

	@Autowired
	private DaftarPengajuanAnggaranDaoCustom daftarPengajuanAnggaranDaoCustom;

	@Override
	public Map<String, Object> findDaftarPengajuanAnggaran(Integer page, Integer limit, String sort, String dir,
			String dateStart, String dateEnd, String noRec, Integer tahun) {

		Map<String, Object> result = new HashMap<String, Object>();

		try {
			System.out.println("=======START FIND DAFTAR PENGAJUAN ANGGARAN=======");

			System.out.println("=======END FIND DAFTAR PENGAJUAN ANGGARAN=======");
		} catch (Exception e) {
			e.printStackTrace();
		}

		return result;
	}

}
